package com.chinaitop.depot.intelligent.ventilation.model;

import java.util.Date;

import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Range;

public class TCtldevinfo {
    private String id;

    private String vdevcode;

    private String vdevname;

    private Integer idevtdh;

    private String vdevkindcode;

    private String sitecode;

    private String vcfcode;

    private String vposition;

    private String valarmstatue;

    
    private Date updatetime;

    private String remark;

    private String vstatue;

    @NotNull(message = "组织机构ID不能为空")
    @Range(max = 10,min = 1)
    private Integer orgId;

    private Integer delFlag;
    
    private Integer vState;
    
    

    public Integer getvState() {
		return vState;
	}

	public void setvState(Integer vState) {
		this.vState = vState;
	}

	/**
     * 系統生成32位随机数保证唯一
     * @return id 系統生成32位随机数保证唯一
     */
    public String getId() {
        return id;
    }

    /**
     * 系統生成32位随机数保证唯一
     * @param id 系統生成32位随机数保证唯一
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 设备编码 唯一
     * @return vdevcode 设备编码 唯一
     */
    public String getVdevcode() {
        return vdevcode;
    }

    /**
     * 设备编码 唯一
     * @param vdevcode 设备编码 唯一
     */
    public void setVdevcode(String vdevcode) {
        this.vdevcode = vdevcode == null ? null : vdevcode.trim();
    }

    /**
     * 设备名称
     * @return vdevname 设备名称
     */
    public String getVdevname() {
        return vdevname;
    }

    /**
     * 设备名称
     * @param vdevname 设备名称
     */
    public void setVdevname(String vdevname) {
        this.vdevname = vdevname == null ? null : vdevname.trim();
    }

    /**
     * 通道号
     * @return idevtdh 通道号
     */
    public Integer getIdevtdh() {
        return idevtdh;
    }

    /**
     * 通道号
     * @param idevtdh 通道号
     */
    public void setIdevtdh(Integer idevtdh) {
        this.idevtdh = idevtdh;
    }

    /**
     * 设备类型编码
     * @return vdevkindcode 设备类型编码
     */
    public String getVdevkindcode() {
        return vdevkindcode;
    }

    /**
     * 设备类型编码
     * @param vdevkindcode 设备类型编码
     */
    public void setVdevkindcode(String vdevkindcode) {
        this.vdevkindcode = vdevkindcode == null ? null : vdevkindcode.trim();
    }

    /**
     * 站点编码
     * @return sitecode 站点编码
     */
    public String getSitecode() {
        return sitecode;
    }

    /**
     * 站点编码
     * @param sitecode 站点编码
     */
    public void setSitecode(String sitecode) {
        this.sitecode = sitecode == null ? null : sitecode.trim();
    }

    /**
     * 仓房编码
     * @return vcfcode 仓房编码
     */
    public String getVcfcode() {
        return vcfcode;
    }

    /**
     * 仓房编码
     * @param vcfcode 仓房编码
     */
    public void setVcfcode(String vcfcode) {
        this.vcfcode = vcfcode == null ? null : vcfcode.trim();
    }

    /**
     * 位置描述
     * @return vposition 位置描述
     */
    public String getVposition() {
        return vposition;
    }

    /**
     * 位置描述
     * @param vposition 位置描述
     */
    public void setVposition(String vposition) {
        this.vposition = vposition == null ? null : vposition.trim();
    }

    /**
     * 设备状态（0：正常，1：异常）
     * @return valarmstatue 设备状态（0：正常，1：异常）
     */
    public String getValarmstatue() {
        return valarmstatue;
    }

    /**
     * 设备状态（0：正常，1：异常）
     * @param valarmstatue 设备状态（0：正常，1：异常）
     */
    public void setValarmstatue(String valarmstatue) {
        this.valarmstatue = valarmstatue == null ? null : valarmstatue.trim();
    }

    /**
     * 更新时间
     * @return updatetime 更新时间
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 更新时间
     * @param updatetime 更新时间
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 操作状态(0:关闭,1:打开,2:反转,3:停止)
     * @return vstatue 操作状态(0:关闭,1:打开,2:反转,3:停止)
     */
    public String getVstatue() {
        return vstatue;
    }

    /**
     * 操作状态(0:关闭,1:打开,2:反转,3:停止)
     * @param vstatue 操作状态(0:关闭,1:打开,2:反转,3:停止)
     */
    public void setVstatue(String vstatue) {
        this.vstatue = vstatue == null ? null : vstatue.trim();
    }

    /**
     * 组织id
     * @return org_id 组织id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织id
     * @param orgId 组织id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @return del_flag 删除标志（0：删除，1：未删除）
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @param delFlag 删除标志（0：删除，1：未删除）
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}